Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.utils.agents
Class AbstractEditorPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JRootPane
                      madkit.utils.agents.AbstractEditorPanel

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  BeanShellEditorPanel, MinimalChatPanel, PythonEditorPanel

    public abstract class AbstractEditorPanel

extends javax.swing.JRootPane
implements java.awt.event.ActionListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JRootPane
`javax.swing.JRootPane.AccessibleJRootPane, javax.swing.JRootPane.RootLayout`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected AbstractAgent` | `ag`
`protected javax.swing.JPanel` | `commandPanel`
`protected java.lang.String` | `extens`
`protected javax.swing.JTextArea` | `inputArea`
`static boolean` | `LOAD`
`protected javax.swing.JMenuBar` | `menubar`
`protected java.io.PrintWriter` | `out`
`protected javax.swing.JTextArea` | `outputArea`
`static boolean` | `SAVE`
`protected javax.swing.JToolBar` | `toolBar`

Fields inherited from class javax.swing.JRootPane
`COLOR_CHOOSER_DIALOG, contentPane, defaultButton, defaultPressAction, defaultReleaseAction, ERROR_DIALOG, FILE_CHOOSER_DIALOG, FRAME, glassPane, INFORMATION_DIALOG, layeredPane, menuBar, NONE, PLAIN_DIALOG, QUESTION_DIALOG, WARNING_DIALOG`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractEditorPanel(AbstractAgent _ag)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`static void` | `addMenuItem(java.awt.event.ActionListener al, javax.swing.JMenu m, java.lang.String label, java.lang.String command, int key)`
`static void` | `addMenuItem(java.awt.event.ActionListener al, javax.swing.JMenu m, java.lang.String label, java.lang.String command, int key, int ckey)`
`void` | `addTool(javax.swing.JToolBar toolBar, java.lang.String name, java.lang.String descr, java.lang.String imageName)`
`void` | `clear()`
`void` | `clearOutputArea()`
`void` | `command(java.lang.String c)`
`java.lang.String` | `getCurrentFile()`
`protected boolean` | `getFileDialog(boolean direction, java.lang.String title, java.lang.String extens)`
`java.awt.Frame` | `getFrameParent()`
`javax.swing.JTextArea` | `getInputArea()`
`javax.swing.JMenuBar` | `getMenubar()`
`javax.swing.JTextArea` | `getOutputArea()`
`javax.swing.JToolBar` | `getToolbar()`
`void` | `newFile()`
`void` | `openFile()`
`void` | `print(java.lang.String s)`
`void` | `println(java.lang.String s)`
`void` | `readFile(java.io.File f)`
`void` | `readFile(java.lang.String s)`
`void` | `save()`
`void` | `saveAs()`
`void` | `setCurrentFile(java.lang.String s)`
`void` | `setExtens(java.lang.String ext)`
`java.io.PrintWriter` | `stderr()`
`java.io.InputStream` | `stdin()`
`java.io.PrintWriter` | `stdout()`

Methods inherited from class javax.swing.JRootPane
`addImpl, addNotify, createContentPane, createGlassPane, createLayeredPane, createRootLayout, getAccessibleContext, getContentPane, getDefaultButton, getGlassPane, getJMenuBar, getLayeredPane, getMenuBar, getUI, getUIClassID, getWindowDecorationStyle, isOptimizedDrawingEnabled, isValidateRoot, paramString, removeNotify, setContentPane, setDefaultButton, setGlassPane, setJMenuBar, setLayeredPane, setMenuBar, setUI, setWindowDecorationStyle, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inputArea

    protected javax.swing.JTextArea inputArea

### outputArea

    protected javax.swing.JTextArea outputArea

### out

    protected java.io.PrintWriter out

### ag

    protected AbstractAgent ag

### toolBar

    protected javax.swing.JToolBar toolBar

### menubar

    protected javax.swing.JMenuBar menubar

### commandPanel

    protected javax.swing.JPanel commandPanel

### extens

    protected java.lang.String extens

### LOAD

    public static final boolean LOAD

See Also:
  Constant Field Values

### SAVE

    public static final boolean SAVE

See Also:
  Constant Field Values

Constructor Detail

### AbstractEditorPanel

    public AbstractEditorPanel(AbstractAgent _ag)

Method Detail

### stdout

    public java.io.PrintWriter stdout()

### stderr

    public java.io.PrintWriter stderr()

### stdin

    public java.io.InputStream stdin()

### getInputArea

    public javax.swing.JTextArea getInputArea()

### getOutputArea

    public javax.swing.JTextArea getOutputArea()

### getToolbar

    public javax.swing.JToolBar getToolbar()

### getMenubar

    public javax.swing.JMenuBar getMenubar()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### command

    public void command(java.lang.String c)

### clearOutputArea

    public void clearOutputArea()

### newFile

    public void newFile()

### setCurrentFile

    public void setCurrentFile(java.lang.String s)

### getCurrentFile

    public java.lang.String getCurrentFile()

### getFrameParent

    public java.awt.Frame getFrameParent()

### setExtens

    public void setExtens(java.lang.String ext)

### getFileDialog

    protected boolean getFileDialog(boolean direction,
                                    java.lang.String title,
                                    java.lang.String extens)

### openFile

    public void openFile()

### readFile

    public void readFile(java.lang.String s)

### readFile

    public void readFile(java.io.File f)

### saveAs

    public void saveAs()

### save

    public void save()

### clear

    public void clear()

### print

    public void print(java.lang.String s)

### println

    public void println(java.lang.String s)

### addTool

    public void addTool(javax.swing.JToolBar toolBar,
                        java.lang.String name,
                        java.lang.String descr,
                        java.lang.String imageName)

### addMenuItem

    public static void addMenuItem(java.awt.event.ActionListener al,
                                   javax.swing.JMenu m,
                                   java.lang.String label,
                                   java.lang.String command,
                                   int key)

### addMenuItem

    public static void addMenuItem(java.awt.event.ActionListener al,
                                   javax.swing.JMenu m,
                                   java.lang.String label,
                                   java.lang.String command,
                                   int key,
                                   int ckey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.